package com.microservices.dss.projects.domain;

import java.util.Date;

public class Projects {
    private Integer id;

    private String name;

    private String homepage;

    private Boolean isPublic;

    private Integer parentId;

    private Date createdOn;

    private Date updatedOn;

    private String identifier;

    private Integer status;

    private Integer lft;

    private Integer rgt;

    private Boolean inheritMembers;

    private Integer projectType;

    private Boolean hiddenRepo;

    private Integer attachmenttype;

    private Integer userId;

    private Integer dtsTest;

    private String enterpriseName;

    private Integer organizationId;

    private Integer projectNewType;

    private Integer gpid;

    private Integer forkedFromProjectId;

    private Integer forkedCount;

    private Integer publishResource;

    private Integer visits;

    private Integer hot;

    private String inviteCode;

    private String qrcode;

    private Integer qrcodeExpiretime;

    private Byte trainingStatus;

    private String repIdentifier;

    private Integer projectCategoryId;

    private Integer projectLanguageId;

    private Integer licenseId;

    private Integer ignoreId;

    private Integer praisesCount;

    private Integer watchersCount;

    private Integer issuesCount;

    private Integer pullRequestsCount;

    private String language;

    private Integer versionsCount;

    private Integer issueTagsCount;

    private Integer closedIssuesCount;

    private Boolean openDevops;

    private Integer giteaWebhookId;

    private Integer openDevopsCount;

    private Boolean recommend;

    private Integer platform;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getHomepage() {
        return homepage;
    }

    public void setHomepage(String homepage) {
        this.homepage = homepage == null ? null : homepage.trim();
    }

    public Boolean getIsPublic() {
        return isPublic;
    }

    public void setIsPublic(Boolean isPublic) {
        this.isPublic = isPublic;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public Date getUpdatedOn() {
        return updatedOn;
    }

    public void setUpdatedOn(Date updatedOn) {
        this.updatedOn = updatedOn;
    }

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier == null ? null : identifier.trim();
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getLft() {
        return lft;
    }

    public void setLft(Integer lft) {
        this.lft = lft;
    }

    public Integer getRgt() {
        return rgt;
    }

    public void setRgt(Integer rgt) {
        this.rgt = rgt;
    }

    public Boolean getInheritMembers() {
        return inheritMembers;
    }

    public void setInheritMembers(Boolean inheritMembers) {
        this.inheritMembers = inheritMembers;
    }

    public Integer getProjectType() {
        return projectType;
    }

    public void setProjectType(Integer projectType) {
        this.projectType = projectType;
    }

    public Boolean getHiddenRepo() {
        return hiddenRepo;
    }

    public void setHiddenRepo(Boolean hiddenRepo) {
        this.hiddenRepo = hiddenRepo;
    }

    public Integer getAttachmenttype() {
        return attachmenttype;
    }

    public void setAttachmenttype(Integer attachmenttype) {
        this.attachmenttype = attachmenttype;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getDtsTest() {
        return dtsTest;
    }

    public void setDtsTest(Integer dtsTest) {
        this.dtsTest = dtsTest;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName == null ? null : enterpriseName.trim();
    }

    public Integer getOrganizationId() {
        return organizationId;
    }

    public void setOrganizationId(Integer organizationId) {
        this.organizationId = organizationId;
    }

    public Integer getProjectNewType() {
        return projectNewType;
    }

    public void setProjectNewType(Integer projectNewType) {
        this.projectNewType = projectNewType;
    }

    public Integer getGpid() {
        return gpid;
    }

    public void setGpid(Integer gpid) {
        this.gpid = gpid;
    }

    public Integer getForkedFromProjectId() {
        return forkedFromProjectId;
    }

    public void setForkedFromProjectId(Integer forkedFromProjectId) {
        this.forkedFromProjectId = forkedFromProjectId;
    }

    public Integer getForkedCount() {
        return forkedCount;
    }

    public void setForkedCount(Integer forkedCount) {
        this.forkedCount = forkedCount;
    }

    public Integer getPublishResource() {
        return publishResource;
    }

    public void setPublishResource(Integer publishResource) {
        this.publishResource = publishResource;
    }

    public Integer getVisits() {
        return visits;
    }

    public void setVisits(Integer visits) {
        this.visits = visits;
    }

    public Integer getHot() {
        return hot;
    }

    public void setHot(Integer hot) {
        this.hot = hot;
    }

    public String getInviteCode() {
        return inviteCode;
    }

    public void setInviteCode(String inviteCode) {
        this.inviteCode = inviteCode == null ? null : inviteCode.trim();
    }

    public String getQrcode() {
        return qrcode;
    }

    public void setQrcode(String qrcode) {
        this.qrcode = qrcode == null ? null : qrcode.trim();
    }

    public Integer getQrcodeExpiretime() {
        return qrcodeExpiretime;
    }

    public void setQrcodeExpiretime(Integer qrcodeExpiretime) {
        this.qrcodeExpiretime = qrcodeExpiretime;
    }

    public Byte getTrainingStatus() {
        return trainingStatus;
    }

    public void setTrainingStatus(Byte trainingStatus) {
        this.trainingStatus = trainingStatus;
    }

    public String getRepIdentifier() {
        return repIdentifier;
    }

    public void setRepIdentifier(String repIdentifier) {
        this.repIdentifier = repIdentifier == null ? null : repIdentifier.trim();
    }

    public Integer getProjectCategoryId() {
        return projectCategoryId;
    }

    public void setProjectCategoryId(Integer projectCategoryId) {
        this.projectCategoryId = projectCategoryId;
    }

    public Integer getProjectLanguageId() {
        return projectLanguageId;
    }

    public void setProjectLanguageId(Integer projectLanguageId) {
        this.projectLanguageId = projectLanguageId;
    }

    public Integer getLicenseId() {
        return licenseId;
    }

    public void setLicenseId(Integer licenseId) {
        this.licenseId = licenseId;
    }

    public Integer getIgnoreId() {
        return ignoreId;
    }

    public void setIgnoreId(Integer ignoreId) {
        this.ignoreId = ignoreId;
    }

    public Integer getPraisesCount() {
        return praisesCount;
    }

    public void setPraisesCount(Integer praisesCount) {
        this.praisesCount = praisesCount;
    }

    public Integer getWatchersCount() {
        return watchersCount;
    }

    public void setWatchersCount(Integer watchersCount) {
        this.watchersCount = watchersCount;
    }

    public Integer getIssuesCount() {
        return issuesCount;
    }

    public void setIssuesCount(Integer issuesCount) {
        this.issuesCount = issuesCount;
    }

    public Integer getPullRequestsCount() {
        return pullRequestsCount;
    }

    public void setPullRequestsCount(Integer pullRequestsCount) {
        this.pullRequestsCount = pullRequestsCount;
    }

    public String getLanguage() {
        return language;
    }

    public void setLanguage(String language) {
        this.language = language == null ? null : language.trim();
    }

    public Integer getVersionsCount() {
        return versionsCount;
    }

    public void setVersionsCount(Integer versionsCount) {
        this.versionsCount = versionsCount;
    }

    public Integer getIssueTagsCount() {
        return issueTagsCount;
    }

    public void setIssueTagsCount(Integer issueTagsCount) {
        this.issueTagsCount = issueTagsCount;
    }

    public Integer getClosedIssuesCount() {
        return closedIssuesCount;
    }

    public void setClosedIssuesCount(Integer closedIssuesCount) {
        this.closedIssuesCount = closedIssuesCount;
    }

    public Boolean getOpenDevops() {
        return openDevops;
    }

    public void setOpenDevops(Boolean openDevops) {
        this.openDevops = openDevops;
    }

    public Integer getGiteaWebhookId() {
        return giteaWebhookId;
    }

    public void setGiteaWebhookId(Integer giteaWebhookId) {
        this.giteaWebhookId = giteaWebhookId;
    }

    public Integer getOpenDevopsCount() {
        return openDevopsCount;
    }

    public void setOpenDevopsCount(Integer openDevopsCount) {
        this.openDevopsCount = openDevopsCount;
    }

    public Boolean getRecommend() {
        return recommend;
    }

    public void setRecommend(Boolean recommend) {
        this.recommend = recommend;
    }

    public Integer getPlatform() {
        return platform;
    }

    public void setPlatform(Integer platform) {
        this.platform = platform;
    }
}